<?php

namespace MGS\FakeOrder\Model\Config\Source;

use Magento\Framework\Data\OptionSourceInterface;

class GetProductBy implements OptionSourceInterface
{

    public function toOptionArray()
    {
        return [
            ['value' => 1, 'label' => __('Select by product')],
            ['value' => 2, 'label' => __('Select by catalog')]
        ];
    }
}
